<?php

  function create_thumbnail($source,$destination,$thumb_width)
  {
      $size = getimagesize($source);
      $width = $size[0];
      $height = $size[1];
      $x = 0;
      $y = 0;
      if($width>$height)
      {
          $x = ceil(($width - $height) /2 );
          $width = $height;
      }
      elseif($height>$width)
      {
          $y = ceil(($height-$width)/2);
          $height = $width;
      }
      $new_image = imagecreatetruecolor($thumb_width,$thumb_width) or die('cannot initialize new GD image');
      $extension = get_image_extension($source);
      if($extension == 'jpg' || $extension=='jpeg')
        $image = imagecreatefromjpeg($source);
      if($extension == 'gif')
        $image = imagecreatefromgif($source);
      if($extension == 'png')
        $image = imagecreatefrompng($source);

        imagecopyresampled($new_image,$image,0,0,$x,$y,$thumb_width,$thumb_width,$width,$height);
        
        if($extension = 'jpg' || $extension == 'jpeg')
         imagejpeg($new_image,$destination);
        if($extension = 'gif')
         imagegif($new_image,$destination);
        if($extension = 'png')
         imagepng($new_image,$destination);
         
        
  }
  
  function get_image_extension($name)
  {
      $name = strtolower($name);
      $i = strpos($name,".");
      if(!$i) { return "" ;}
        $l = strlen($name) - $i;
      $extension = substr($name,$i+1,$l);
      return $extension;
  }
  
  function random_name($length)
  {
      $characters = "ABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";
      $name = "";
      for($i =0; $i<$length; $i++)
      {
          $name .= $characters[mt_rand(0,strlen($characters-1))];
      }
      return "image-".$name;
  }
  
  function getImages()
  {
      $query = "select * from images order by id desc";
      $res = mysql_query($query);
      while($row = mysql_fetch_assoc($res))
      {
          $result[] = $row; 
      }
      return $result;
  }
    function getRandImages()
  {
      $query = "select * from images order by rand()";
      $res = mysql_query($query);
      while($row = mysql_fetch_assoc($res))
      {
          $result[] = $row; 
      }
      return $result;
  }

?>
